Command line invocation
Prev | Chapter 2. Exploring wxGlade | Next

## Command line invocation

You can run wxGlade without parameters to start the GUI on an empty application as follows:

wxglade

Run wxGlade GUI on an existing application specifying the `.wxg` file as follow:

wxglade <WXG File>

If you only want to generate the code without starting the GUI, use the `-g` or `--generate-code` option with the language as argument as follows:

wxglade -g <LANGUAGE> <WXG File>

wxglade --generate-code=<LANGUAGE> <WXG File>

Possible values for LANGUAGE are "XRC", "python", "perl", "lisp" or "C++".

You can also specify the destination of the generated code with `-o` or `--output` option:

wxglade -g <LANGUAGE> -o <DESTINATION> <WXG File>

The DESTINATION argument can be a file or a directory. If DESTINATION is a file, wxGlade will generate single-file source code. In case DESTINATION is a directory wxGlade will generate multiple-file source code.

This is the complete description of the command line:

    # wxglade --help
    Usage: wxglade <WXG File>             start the wxGlade GUI
     or:   wxglade <Options> <WXG File>   generate code from command line
     or:   wxglade --version              show programs version number and exit
     or:   wxglade -h|--help              show this help message and exit
    Options:
      --version             show program's version number and exit
      -h, --help            show this help message and exit
      -g LANG, --generate-code=LANG
                            (required) output language, valid languages are: C++,
                            XRC, lisp, perl, python
      -o PATH, --output=PATH
                            (optional) output file in single-file mode or output
                            directory in multi-file mode
    Example: Generate Python code out of myapp.wxg
       wxglade -o temp -g python myapp.wxg
    Report bugs to:    <wxglade-general@lists.sourceforge.net> or at
                       <http://sourceforge.net/projects/wxglade/>
    wxGlade home page: <http://wxglade.sourceforge.net/>

### Note

Use wxglade.pyw instead of wxglade on Microsoft Windows.

Prev | Up | Next
Language specific peculiarities | Home | Using the source code